%global momorel 1

%global unicodedir %{_datadir}/unicode
%global emojidir %{unicodedir}/emoji

Name:           unicode-emoji
Version:        5.0
Release:        %{momorel}m%{?dist}
Summary:        Unicode Emoji Data Files
Group:          System Environment/Libraries

License:        Unicode
URL:            http://www.unicode.org/emoji/
Source0:        http://www.unicode.org/copyright.html
Source1:        http://www.unicode.org/Public/emoji/4.0/ReadMe.txt
Source2:        http://www.unicode.org/Public/emoji/4.0/emoji-data.txt
Source3:        http://www.unicode.org/Public/emoji/4.0/emoji-sequences.txt
Source4:        http://www.unicode.org/Public/emoji/4.0/emoji-test.txt
Source5:        http://www.unicode.org/Public/emoji/4.0/emoji-zwj-sequences.txt
BuildArch:      noarch

%description
Unicode Emoji Data Files are the machine-readable
emoji data files associated with
http://www.unicode.org/reports/tr51/index.html

%prep
%{nil}

%build
%{nil}

%install
cp -p %{SOURCE0} .
mkdir -p %{buildroot}%{emojidir}
cp -p %{SOURCE1} %{buildroot}%{emojidir}
cp -p %{SOURCE2} %{buildroot}%{emojidir}
cp -p %{SOURCE3} %{buildroot}%{emojidir}
cp -p %{SOURCE4} %{buildroot}%{emojidir}
cp -p %{SOURCE5} %{buildroot}%{emojidir}

%files
%doc copyright.html
%dir %{unicodedir}
%dir %{emojidir}
%doc %{emojidir}/ReadMe.txt
%{emojidir}/emoji-*txt

%changelog
* Sun Feb 04 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (5.0-1m)
- update 5.0

* Wed May 17 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0-1m)
- initial commit Momonga Linux
-- need ibus

* Thu May 04 2017 Mike FABIAN <mfabian@redhat.com> - 4.0-3
- add directory %%{emojidir} to file list

* Tue May 02 2017 Mike FABIAN <mfabian@redhat.com> - 4.0-2
- Fix rpmlint issues: description-line-too-long, corrected
  license tag, tag ReadMe.txt as %%doc

* Tue Apr 25 2017 Mike FABIAN <mfabian@redhat.com> - 4.0-1
- package Unicode Emoji Data 4.0
- MIT license
